Debian Security Advisory

DLA-405-1 tiff -- LTS security update

Date Reported:
30 Jan 2016
Affected Packages:
Security database references:
In Mitre's CVE dictionary: CVE-2015-8781, CVE-2015-8782, CVE-2015-8783, CVE-2015-8784.
More information:

Several security flaws have been found and solved in libtiff, a library that provides support for handling Tag Image File Format (TIFF). These flaws concern out of bounds reads and writes in the LogL16Decode, LogLuvDecode24, LogLuvDecode32, LogLuvDecodeTile, LogL16Encode, LogLuvEncode24, LogLuvEncode32 and NeXTDecode functions.

These IDs were assigned for the problems: CVE-2015-8781, CVE-2015-8782, CVE-2015-8783 and CVE-2015-8784.

For Debian 6 Squeeze, these issues have been fixed in tiff version 3.9.4-5+squeeze14. We recommend you to upgrade your tiff packages.